package koeln.uni.idh.java1.session10.zoo;

import koeln.uni.idh.java1.session10.zoo.animals.Alpaca;
import koeln.uni.idh.java1.session10.zoo.animals.Animal;
import koeln.uni.idh.java1.session10.zoo.animals.Bear;
import koeln.uni.idh.java1.session10.zoo.animals.Horse;
import koeln.uni.idh.java1.session10.zoo.ui.AsciiImage;
import koeln.uni.idh.java1.session10.zoo.ui.IsDrawable;

public class Zoo {

	static String[] names = new String[] { "Alexandra", "Alice", "Aline", "Anastasia", "Ander", "Andrea", "Andreas",
			"Anja", "Anke", "Ann", "Anna", "Anne", "Antor", "Aria", "Astrid", "Axel", "Barbara", "Beatrice", "Beatrix",
			"Benjamin", "Bettina", "Bieke Verle", "Birgit", "Björn", "Carlo", "Catherine", "Christian", "Christiane",
			"Christine", "Christof", "Christoph", "Claudia", "Daniel", "Dany", "David", "Debora", "Dennis", "Dominik",
			"Eckhard", "Edwin", "Eleftheria", "Esther", "Etienne", "Eugen", "Fabian", "Federico", "Felix", "Fiorella",
			"Folkart", "Frank", "Gabriele", "Gabriella", "Gesine", "Gisa", "Gudrun", "Habbo", "Hans-Joachim",
			"Hans-Peter", "Heidrun", "Heike", "Heinz", "Isolde", "Jan Felix", "Joachim", "Jörg", "Judith", "Julia",
			"Jürgen", "Karl", "Katajun", "Katharina", "Klaus", "Kristina", "Magnus", "Marco", "Marcus", "Maren Janika",
			"Maria-Theresia", "Marina", "Marita", "Martin", "Martine", "Michael", "Michaela", "Monika", "Nadine",
			"Nicolas", "Nicole", "Nikolaus", "Nikolaus P.", "Nils", "Nora", "Øyvind", "Paul", "Peter", "Peter Franz",
			"Peter W.", "Peter Werner", "Petra", "Ralph", "René", "Richard", "Rie", "Roman", "Ruth", "Sabine", "Sandra",
			"Sebastian", "Sebastião", "Sieglinde", "Silke", "Silviane", "Sophie", "Stefan", "Stephan",
			"Stephan Michael", "Susanne", "Susanne Katrin", "Sven", "Thiemo", "Thiemo Rafael", "Thomas", "Thoralf",
			"Thorsten", "Tobias", "Torsten", "Ulrike", "Ute", "Walter", "Werner", "Wiebke", "Wilfried", "Wolfgang",
			"Wolfram" };

	
	IsDrawable[] zooObjects;
	int size;

	public Zoo(int size, int numberOfAnimals) {
		this.size = size;

		this.zooObjects = new IsDrawable[10];
		int i;
		for (i = 0; i < 3; i++) {
			this.zooObjects[i] = new Tree(Util.randInt(1, size - 1), Util.randInt(1, size - 1));
		}
		for (; i < 10; i++) {
			if (Math.random() < 0.5)
				this.zooObjects[i] = new Bear();
			else
				this.zooObjects[i] = new Alpaca(names[Util.randInt(0, names.length)]);

			((Animal) this.zooObjects[i]).setX(Util.randInt(1, size - 1));
			((Animal) this.zooObjects[i]).setY(Util.randInt(1, size - 1));
		}
		
//		this.trees = new Tree[3];
//		this.trees[0] = new Tree(3,1);
//		this.trees[1] = new Tree(5,8);
//		this.trees[2] = new Tree(9,11);
//		// generate and position animals
//		this.animals = new Animal[numberOfAnimals];
//		for (int a = 0; a < this.animals.length; a++) {
//			if (Math.random() < 0.5)
//				this.animals[a] = new Bear();
//			else
//				this.animals[a] = new Alpaca(names[Util.randInt(0, names.length)]);
//
//			this.animals[a].setX(Util.randInt(1, size - 1));
//			this.animals[a].setY(Util.randInt(1, size - 1));
//		}
	}

	public void draw() {
		AsciiImage ai = new AsciiImage(size, size);
		for (int h = 0; h < zooObjects.length; h++) {
			ai.dot(zooObjects[h].getX(), zooObjects[h].getY(), zooObjects[h]);
		}
		System.out.println(ai);
	}

	public static void main(String[] args) {
		Zoo zoo = new Zoo(15, 5);
		zoo.draw();
	}

}
